#contacts-modal {
  .contacts-contact div.contactId {
    display: inline-block;
    width: calc(100% - 124px);
    margin-left: 24px;
  }

  .contacts-contact {
    color: black;
    font-weight: 700;
    padding: 10px;
    border-radius: 8px;
    cursor: pointer;
    margin-bottom: 10px;
    text-align: left;
    background-color: #e7f0f0;
    border: 1px solid #FFF;
  }

  .contacts-contact:hover {
    background-color: #cceef0;
    border: 1px solid #75bac1;
  }

  .contacts-contact.contacts-expanded {
    background-color: #fdfdfd;
    border-color: #bfdadd;
    animation: pulsating 1s linear infinite;
  }

  @keyframes pulsating {
    50% {
      background-color: #eff6fb;
    }
  }

  .contacts-contact.contacts-expanded:hover {
    background-color: #fdfdfd;
    border-color: #3fa4af;
  }

  .contacts-entries {
    display: none;
  }

  .contacts-contact.contacts-expanded .contacts-entries {
    display: block;
  }

  .contacts-contact.contacts-expanded > .contacts-edit {
    display: inline-block;
  }

  .contacts-contact.contacts-expanded > .contacts-delete {
    display: inline-block;
  }

  .contacts-copy,
  .contacts-edit,
  .contacts-delete {
    padding: 9px;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    text-align: left;
    border-style: solid;
    border-width: 1px;
    border-radius: 8px;
    margin: 5px;
    display: inline-block;
    background-color: #dceeef;
    border-color: rgba(0, 0, 0, 0);
    min-height: 40px;
    pointer: cursor;
  }

  .contacts-delete {
    background-color: rgb(255, 200, 200);
  }

  .contacts-delete:hover {
    border-color: darkred;
  }

  .contacts-copy {
    background-image: url('./svg/contacts-copy.svg');
    background-position: calc(100% - 20px) 9px;
    width: calc(100% - 10px);
    font-weight: 600;
    word-wrap: break-word;
    padding-left: 20px;
    padding-right: 48px;
  }

  .contacts-copy-clicked {
    animation: blinking 0.3s linear infinite;
    color: #4d4d4d;
  }

  @keyframes blinking {
    50% {
      opacity: 0.5;
    }
  }

  .contacts-edit:hover,
  .contacts-copy:hover {
    border-color: #3fa4af;
  }

  .contacts-edit {
    background-image: url('./svg/contacts-edit.svg');
    background-position: center center;
    width: 40px;
    display: none;
    vertical-align: middle;
  }

  .contacts-delete {
    background-image: url('./svg/contacts-delete.svg');
    background-position: center center;
    width: 40px;
    display: none;
    vertical-align: middle;
  }

  ///
  /// Buttons
  ///


  #contacts-cancel-button {
    width: 32%;
    margin-right: 2%;
  }

  #contacts-new-button {
    width: 60%;
    div {
      background-image: url("./svg/add.svg");
      filter: brightness(200%) saturate(0);
      width: 18px;
      height: 18px;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      vertical-align: middle;
      display: inline-block;
      margin: -4px 18px 0 2px;
    }
  }
}
